
From: Nishanth Aravamudan <nacc@us.ibm.com>

Use schedule_timeout_interruptible() instead of
set_current_state()/schedule_timeout() to reduce kernel size.

(akpm: this patch relies on other stuff in -mm, please don't apply)

Signed-off-by: Nishanth Aravamudan <nacc@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/macintosh/therm_pm72.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN drivers/macintosh/therm_pm72.c~drivers-macintosh-fix-up-schedule_timeout-usage drivers/macintosh/therm_pm72.c
--- 25/drivers/macintosh/therm_pm72.c~drivers-macintosh-fix-up-schedule_timeout-usage	Wed Aug 17 17:00:57 2005
+++ 25-akpm/drivers/macintosh/therm_pm72.c	Wed Aug 17 17:00:57 2005
@@ -1678,10 +1678,9 @@ static int main_control_loop(void *x)
 		}
 
 		// FIXME: Deal with signals
-		set_current_state(TASK_INTERRUPTIBLE);
 		elapsed = jiffies - start;
 		if (elapsed < HZ)
-			schedule_timeout(HZ - elapsed);
+			schedule_timeout_interruptible(HZ - elapsed);
 	}
 
  out:
_
